#!/usr/bin/gnuplot

set xl "JD-2400000"
set yl "m [mag]"

set yr [:] reverse
set key bottom

t1 = 2456278.5545
t2 = 2456300.5016
p1 = 2.49
set arrow from t1-2400000,graph 0 rto 0,graph 1 nohead lt 0
set arrow from t1+p1-2400000,graph 0 rto 0,graph 1 nohead lt 0

m0 = 2.22
set arrow from graph 0,first m0 rto graph 1,first 0.0 nohead lt 0

p "most.dat" u ($1-2400000):2 w lp lc 'green',\
  "<./Pablo1.awk Pablo_2015.dat" u ($1-2400000):($2+m0) w l lw 2 lc 'red'

pa -1

q

