#!/usr/bin/env python3

import sys
from astropy.time import Time

def main():

    f = open("utctest.in", "r")
    utc = []
    for line in f.readlines():
        l = line.split()
        utc.append(l[0])
    f.close()

    f = open("utctest.out", "w")
    f.write("# JD_UTC & JD_TDB & TDB-UTC [s]\n")

    for t in utc:
#        t1 = Time(t, scale="utc", format="iso")
#        t1 = Time(t, scale="utc", format="isot")
        t1 = Time(t, scale="utc", format="jd")
        t2 = t1.tcb
        t3 = t1.tdb

        f.write("%.6f -> %.6f  %.6f s\n" % (t1.jd, t3.jd, (t3.jd-t1.jd)*86400.))

    f.close()

if __name__ == "__main__":
    main()


